Index: uspace/srv/net/il/arp/arp.c
===================================================================
--- uspace/srv/net/il/arp/arp.c	(revision 9414abc19106996bac61d12354e75953aa14bf29)
+++ uspace/srv/net/il/arp/arp.c	(revision 32efd865176bfa9c946bb85353ec87e270ab1dda)
@@ -623,6 +733,10 @@
 		    &answer_count);
 		
-		/* End if said to either by the message or the processing result */
-		if ((IPC_GET_METHOD(call) == IPC_M_PHONE_HUNGUP) || (res == EHANGUP))
+		/*
+		 * End if told to either by the message or the processing
+		 * result.
+		 */
+		if ((IPC_GET_METHOD(call) == IPC_M_PHONE_HUNGUP) ||
+		    (res == EHANGUP))
 			return;
 		
@@ -634,22 +748,18 @@
 /** Starts the module.
  *
- *  @param argc The count of the command line arguments. Ignored parameter.
- *  @param argv The command line parameters. Ignored parameter.
- *
- *  @returns EOK on success.
- *  @returns Other error codes as defined for each specific module start function.
- *
+ * @returns		EOK on success.
+ * @returns		Other error codes as defined for each specific module
+ *			start function.
  */
 int main(int argc, char *argv[])
 {
-	ERROR_DECLARE;
+	int rc;
 	
 	/* Start the module */
-	if (ERROR_OCCURRED(il_module_start_standalone(il_client_connection)))
-		return ERROR_CODE;
-	
-	return EOK;
+	rc = il_module_start_standalone(il_client_connection);
+	return rc;
 }
 
 /** @}
  */
+
Index: uspace/srv/net/il/arp/arp.h
===================================================================
--- uspace/srv/net/il/arp/arp.h	(revision 9414abc19106996bac61d12354e75953aa14bf29)
+++ uspace/srv/net/il/arp/arp.h	(revision 32efd865176bfa9c946bb85353ec87e270ab1dda)
@@ -28,13 +28,13 @@
 
 /** @addtogroup arp
- *  @{
+ * @{
  */
 
 /** @file
- *  ARP module.
+ * ARP module.
  */
 
-#ifndef __NET_ARP_H__
-#define __NET_ARP_H__
+#ifndef NET_ARP_H_
+#define NET_ARP_H_
 
 #include <fibril_synch.h>
@@ -44,4 +44,5 @@
 
 #include <net/device.h>
+#include <net/packet.h>
 #include <net_hardware.h>
 #include <adt/generic_char_map.h>
@@ -49,116 +50,105 @@
 #include <adt/measured_strings.h>
 
-
 /** Type definition of the ARP device specific data.
- *  @see arp_device
+ * @see arp_device
  */
-typedef struct arp_device	arp_device_t;
+typedef struct arp_device arp_device_t;
 
 /** Type definition of the ARP device specific data pointer.
- *  @see arp_device
+ * @see arp_device
  */
-typedef arp_device_t *		arp_device_ref;
+typedef arp_device_t *arp_device_ref;
 
 /** Type definition of the ARP global data.
- *  @see arp_globals
+ * @see arp_globals
  */
-typedef struct arp_globals	arp_globals_t;
+typedef struct arp_globals arp_globals_t;
 
 /** Type definition of the ARP protocol specific data.
- *  @see arp_proto
+ * @see arp_proto
  */
-typedef struct arp_proto	arp_proto_t;
+typedef struct arp_proto arp_proto_t;
 
 /** Type definition of the ARP protocol specific data pointer.
- *  @see arp_proto
+ * @see arp_proto
  */
-typedef arp_proto_t *		arp_proto_ref;
+typedef arp_proto_t *arp_proto_ref;
 
 /** ARP address map.
- *  Translates addresses.
- *  @see generic_char_map.h
+ *
+ * Translates addresses.
+ * @see generic_char_map.h
  */
-GENERIC_CHAR_MAP_DECLARE(arp_addr, measured_string_t)
+GENERIC_CHAR_MAP_DECLARE(arp_addr, measured_string_t);
 
 /** ARP address cache.
- *  Maps devices to the ARP device specific data.
- *  @see device.h
+ *
+ * Maps devices to the ARP device specific data.
+ * @see device.h
  */
-DEVICE_MAP_DECLARE(arp_cache, arp_device_t)
+DEVICE_MAP_DECLARE(arp_cache, arp_device_t);
 
 /** ARP protocol map.
- *  Maps protocol identifiers to the ARP protocol specific data.
- *  @see int_map.h
+ *
+ * Maps protocol identifiers to the ARP protocol specific data.
+ * @see int_map.h
  */
-INT_MAP_DECLARE(arp_protos, arp_proto_t)
+INT_MAP_DECLARE(arp_protos, arp_proto_t);
 
-/** ARP device specific data.
- */
-struct arp_device{
-	/** Actual device hardware address.
-	 */
+/** ARP device specific data. */
+struct arp_device {
+	/** Actual device hardware address. */
 	measured_string_ref addr;
-	/** Actual device hardware address data.
-	 */
-	char * addr_data;
-	/** Broadcast device hardware address.
-	 */
+	/** Actual device hardware address data. */
+	char *addr_data;
+	/** Broadcast device hardware address. */
 	measured_string_ref broadcast_addr;
-	/** Broadcast device hardware address data.
-	 */
-	char * broadcast_data;
-	/** Device identifier.
-	 */
+	/** Broadcast device hardware address data. */
+	char *broadcast_data;
+	/** Device identifier. */
 	device_id_t device_id;
-	/** Hardware type.
-	 */
+	/** Hardware type. */
 	hw_type_t hardware;
-	/** Packet dimension.
-	 */
+	/** Packet dimension. */
 	packet_dimension_t packet_dimension;
-	/** Device module phone.
-	 */
+	/** Device module phone. */
 	int phone;
-	/** Protocol map.
-	 *  Address map for each protocol.
+	
+	/**
+	 * Protocol map.
+	 * Address map for each protocol.
 	 */
 	arp_protos_t protos;
-	/** Device module service.
-	 */
+	
+	/** Device module service. */
 	services_t service;
 };
 
-/** ARP global data.
- */
-struct	arp_globals{
-	/** ARP address cache.
-	 */
+/** ARP global data. */
+struct arp_globals {
+	/** ARP address cache. */
 	arp_cache_t cache;
-	/** The client connection processing function.
-	 *  The module skeleton propagates its own one.
+	
+	/**
+	 * The client connection processing function.
+	 * The module skeleton propagates its own one.
 	 */
 	async_client_conn_t client_connection;
-	/** Networking module phone.
-	 */
+	
+	/** Networking module phone. */
 	int net_phone;
-	/** Safety lock.
-	 */
+	/** Safety lock. */
 	fibril_rwlock_t lock;
 };
 
-/** ARP protocol specific data.
- */
-struct arp_proto{
-	/** Actual device protocol address.
-	 */
+/** ARP protocol specific data. */
+struct arp_proto {
+	/** Actual device protocol address. */
 	measured_string_ref addr;
-	/** Actual device protocol address data.
-	 */
-	char * addr_data;
-	/** Address map.
-	 */
+	/** Actual device protocol address data. */
+	char *addr_data;
+	/** Address map. */
 	arp_addr_t addresses;
-	/** Protocol service.
-	 */
+	/** Protocol service. */
 	services_t service;
 };
Index: uspace/srv/net/il/arp/arp_header.h
===================================================================
--- uspace/srv/net/il/arp/arp_header.h	(revision 9414abc19106996bac61d12354e75953aa14bf29)
+++ uspace/srv/net/il/arp/arp_header.h	(revision 32efd865176bfa9c946bb85353ec87e270ab1dda)
@@ -32,41 +32,41 @@
 
 /** @file
- *  ARP protocol header.
- *  Based on the RFC~826.
+ * ARP protocol header.
+ * Based on the RFC 826.
  */
 
-#ifndef __NET_ARP_HEADER_H__
-#define __NET_ARP_HEADER_H__
+#ifndef NET_ARP_HEADER_H_
+#define NET_ARP_HEADER_H_
 
 #include <sys/types.h>
 
 /** Type definition of an ARP protocol header.
- *  @see arp_header
+ * @see arp_header
  */
-typedef struct arp_header	arp_header_t;
+typedef struct arp_header arp_header_t;
 
 /** Type definition of an ARP protocol header pointer.
- *  @see arp_header
+ * @see arp_header
  */
-typedef arp_header_t *		arp_header_ref;
+typedef arp_header_t *arp_header_ref;
 
-/** ARP protocol header.
- */
-struct arp_header{
-	/** Hardware type identifier.
-	 *  @see hardware.h
+/** ARP protocol header. */
+struct arp_header {
+	/**
+	 * Hardware type identifier.
+	 * @see hardware.h
 	 */
 	uint16_t hardware;
-	/** Protocol identifier.
-	 */
+	
+	/** Protocol identifier. */
 	uint16_t protocol;
-	/** Hardware address length in bytes.
-	 */
+	/** Hardware address length in bytes. */
 	uint8_t hardware_length;
-	/** Protocol address length in bytes.
-	 */
+	/** Protocol address length in bytes. */
 	uint8_t protocol_length;
-	/** ARP packet type.
-	 *  @see arp_oc.h
+	
+	/**
+	 * ARP packet type.
+	 * @see arp_oc.h
 	 */
 	uint16_t operation;
Index: uspace/srv/net/il/arp/arp_module.c
===================================================================
--- uspace/srv/net/il/arp/arp_module.c	(revision 9414abc19106996bac61d12354e75953aa14bf29)
+++ uspace/srv/net/il/arp/arp_module.c	(revision 32efd865176bfa9c946bb85353ec87e270ab1dda)
@@ -32,13 +32,14 @@
 
 /** @file
- *  ARP standalone module implementation.
- *  Contains skeleton module functions mapping.
- *  The functions are used by the module skeleton as module specific entry points.
- *  @see module.c
+ * ARP standalone module implementation.
+ * Contains skeleton module functions mapping.
+ * The functions are used by the module skeleton as module specific entry
+ * points.
+ * @see module.c
  */
 
 #include <async.h>
 #include <stdio.h>
-#include <err.h>
+#include <errno.h>
 
 #include <ipc/ipc.h>
@@ -53,45 +54,39 @@
 #include "arp_module.h"
 
-/** ARP module global data.
- */
-extern arp_globals_t	arp_globals;
+/** ARP module global data. */
+extern arp_globals_t arp_globals;
 
-/** Processes the ARP message.
- *  @param[in] callid The message identifier.
- *  @param[in] call The message parameters.
- *  @param[out] answer The message answer parameters.
- *  @param[out] answer_count The last parameter for the actual answer in the answer parameter.
- *  @returns EOK on success.
- *  @returns Other error codes as defined for the arp_message() function.
- */
-int il_module_message_standalone(ipc_callid_t callid, ipc_call_t * call, ipc_call_t * answer, int * answer_count){
+int
+il_module_message_standalone(ipc_callid_t callid, ipc_call_t *call,
+    ipc_call_t *answer, int *answer_count)
+{
 	return arp_message_standalone(callid, call, answer, answer_count);
 }
 
-/** Starts the ARP module.
- *  Initializes the client connection serving function, initializes the module, registers the module service and starts the async manager, processing IPC messages in an infinite loop.
- *  @param[in] client_connection The client connection processing function. The module skeleton propagates its own one.
- *  @returns EOK on successful module termination.
- *  @returns Other error codes as defined for the arp_initialize() function.
- *  @returns Other error codes as defined for the REGISTER_ME() macro function.
- */
-int il_module_start_standalone(async_client_conn_t client_connection){
-	ERROR_DECLARE;
+int il_module_start_standalone(async_client_conn_t client_connection)
+{
+	ipcarg_t phonehash;
+	int rc;
 	
 	async_set_client_connection(client_connection);
 	arp_globals.net_phone = net_connect_module();
-	ERROR_PROPAGATE(pm_init());
 	
-	ipcarg_t phonehash;
-	if (ERROR_OCCURRED(arp_initialize(client_connection))
-	    || ERROR_OCCURRED(REGISTER_ME(SERVICE_ARP, &phonehash))) {
-		pm_destroy();
-		return ERROR_CODE;
-	}
+	rc = pm_init();
+	if (rc != EOK)
+		return rc;
+	
+	rc = arp_initialize(client_connection);
+	if (rc != EOK)
+		goto out;
+	
+	rc = REGISTER_ME(SERVICE_ARP, &phonehash);
+	if (rc != EOK)
+		goto out;
 	
 	async_manager();
-	
+
+out:
 	pm_destroy();
-	return EOK;
+	return rc;
 }
 
Index: uspace/srv/net/il/arp/arp_module.h
===================================================================
--- uspace/srv/net/il/arp/arp_module.h	(revision 9414abc19106996bac61d12354e75953aa14bf29)
+++ uspace/srv/net/il/arp/arp_module.h	(revision 32efd865176bfa9c946bb85353ec87e270ab1dda)
@@ -28,35 +28,21 @@
 
 /** @addtogroup arp
- *  @{
+ * @{
  */
 
 /** @file
- *  ARP module functions.
- *  The functions are used as ARP module entry points.
+ * ARP module functions.
+ * The functions are used as ARP module entry points.
  */
 
-#ifndef __NET_ARP_MODULE_H__
-#define __NET_ARP_MODULE_H__
+#ifndef NET_ARP_MODULE_H_
+#define NET_ARP_MODULE_H_
 
 #include <ipc/ipc.h>
+#include <async.h>
 
-/** Initializes the ARP module.
- *  @param[in] client_connection The client connection processing function. The module skeleton propagates its own one.
- *  @returns EOK on success.
- *  @returns ENOMEM if there is not enough memory left.
- */
-int arp_initialize(async_client_conn_t client_connection);
-
-/** Processes the ARP message.
- *  @param[in] callid The message identifier.
- *  @param[in] call The message parameters.
- *  @param[out] answer The message answer parameters.
- *  @param[out] answer_count The last parameter for the actual answer in the answer parameter.
- *  @returns EOK on success.
- *  @returns ENOTSUP if the message is not known.
- *  @see arp_interface.h
- *  @see IS_NET_ARP_MESSAGE()
- */
-int arp_message_standalone(ipc_callid_t callid, ipc_call_t * call, ipc_call_t * answer, int * answer_count);
+extern int arp_initialize(async_client_conn_t);
+extern int arp_message_standalone(ipc_callid_t, ipc_call_t *, ipc_call_t *,
+    int *);
 
 #endif
Index: uspace/srv/net/il/arp/arp_oc.h
===================================================================
--- uspace/srv/net/il/arp/arp_oc.h	(revision 9414abc19106996bac61d12354e75953aa14bf29)
+++ uspace/srv/net/il/arp/arp_oc.h	(revision 32efd865176bfa9c946bb85353ec87e270ab1dda)
@@ -32,105 +32,21 @@
 
 /** @file
- *  ARP operation codes according to the on-line IANA - Address Resolution Protocol (ARP) Parameters - <http://www.iana.org/assignments/arp-parameters/arp-parameters.xml>, cited January 14 2009.
+ * ARP operation codes according to the on-line IANA - Address Resolution
+ * Protocol (ARP) Parameters
+ * http://www.iana.org/assignments/arp-parameters/arp-parameters.xml
+ * cited January 14 2009.
  */
 
-#ifndef __NET_ARP_ARPOP_H__
-#define __NET_ARP_ARPOP_H__
+#ifndef NET_ARP_ARPOP_H_
+#define NET_ARP_ARPOP_H_
 
-/** @name ARP operation codes definitions
- */
+/** @name ARP operation codes definitions */
 /*@{*/
 
-/** REQUEST operation code.
- */
-#define ARPOP_REQUEST					1
+/** REQUEST operation code. */
+#define ARPOP_REQUEST	1
 
-/** REPLY operation code.
- */
-#define ARPOP_REPLY						2
-
-/** Reverse request operation code.
- */
-#define ARPOP_RREQUEST					3
-
-/** Reverse reply operation code.
- */
-#define ARPOP_RREPLY					4
-
-/** DRARP-Request operation code.
- */
-#define ARPOP_DRARP_Request				5
-
-/** DRARP-Reply operation code.
- */
-#define ARPOP_DRARP_Reply				6
-
-/** DRARP-Error operation code.
- */
-#define ARPOP_DRARP_Error				7
-
-/** InARP-Request operation code.
- */
-#define ARPOP_InREQUEST					8
-
-/** InARP-Reply operation code.
- */
-#define ARPOP_InREPLY					9
-
-/** ARP-NAK operation code.
- */
-#define ARPOP_NAK						10
-
-/** MARS-Request operation code.
- */
-#define ARPOP_MARS_Request				11
-
-/** MARS-Multi operation code.
- */
-#define ARPOP_MARS_Multi				12
-
-/** MARS-MServ operation code.
- */
-#define ARPOP_MARS_MServ				13
-
-/** MARS-Join operation code.
- */
-#define ARPOP_MARS_Join					14
-
-/** MARS-Leave operation code.
- */
-#define ARPOP_MARS_Leave				15
-
-/** MARS-NAK operation code.
- */
-#define ARPOP_MARS_NAK					16
-
-/** MARS-Unserv operation code.
- */
-#define ARPOP_MARS_Unserv				17
-
-/** MARS-SJoin operation code.
- */
-#define ARPOP_MARS_SJoin				18
-
-/** MARS-SLeave operation code.
- */
-#define ARPOP_MARS_SLeave				19
-
-/** MARS-Grouplist-Request operation code.
- */
-#define ARPOP_MARS_Grouplist_Request	20
-
-/** MARS-Grouplist-Reply operation code.
- */
-#define ARPOP_MARS_Grouplist_Reply		21
-
-/** MARS-Redirect-Map operation code.
- */
-#define ARPOP_MARS_Redirect_Map			22
-
-/** MAPOS-UNARP operation code.
- */
-#define ARPOP_MAPOS_UNARP				23
+/** REPLY operation code. */
+#define ARPOP_REPLY	2
 
 /*@}*/
